# -*- coding: utf-8 -*-
#
# TROPFLUX documentation build configuration file, created by
# sphinx-quickstart on Thu Nov 18 17:59:16 2010.
#
# This file is execfile()d with the current directory set to its containing dir.
#
# Note that not all possible configuration values are present in this
# autogenerated file.
#
# All configuration values have a default; values that are commented out
# serve to show the default.
#
# TODO
# ====
#
# suppression de la toc dans README.pdf
#
# nb documentclass report pas possible car le report.cls n'est pas disponible
#
# automatisation of manual pages list
#
# intersphinx_mapping with saxo
#
# EVOLUTIONS
# ==========
#
# - fplod 20101223T083524Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * intersphinx with nco
#
# - fplod 20101220T092450Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * intersphinx with saxo
#     cf. http://sphinx.pocoo.org/ext/intersphinx.html
#
# - fplod 20101216T155711Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * add new hard coded manual pages
#
# - fplod 20101214T110437Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * add graphviz extension
#
# - fplod 20101213T163131Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * add hard coded manual pages (get_*.sh)
#
# - fplod 20101213T150221Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * add hard coded manual pages
#
# - fplod 20101209T092121Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * add creation of README.pdf
#
# - fplod 20101125T085318Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * modify extensions
#
#-

import sys, os

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#sys.path.insert(0, os.path.abspath('.'))

# -- General configuration -----------------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
#needs_sphinx = '1.0'

# Add any Sphinx extension module names here, as strings. They can be extensions
# coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
extensions = ['sphinx.ext.intersphinx', 'sphinx.ext.todo', 'sphinx.ext.coverage', 'sphinx.ext.pngmath', 'sphinx.ext.ifconfig','sphinx.ext.graphviz']


# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# The suffix of source filenames.
source_suffix = '.rst'

# The encoding of source files.
source_encoding = 'iso-8859-15'

# The master toctree document.
master_doc = 'index'

# General information about the project.
project = u'TROPFLUX'
copyright = u'2010, IRD'

# The version info for the project you're documenting, acts as replacement for
# |version| and |release|, also used in various other places throughout the
# built documents.
#
# The short X.Y version.
version = '1.0'
# The full version, including alpha/beta/rc tags.
release = '1.0'

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#language = None

# There are two options for replacing |today|: either, you set today to some
# non-false value, then it is used:
#today = ''
# Else, today_fmt is used as the format for a strftime call.
#today_fmt = '%B %d, %Y'

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
exclude_patterns = ['guides/README', '_build']

# The reST default role (used for this markup: `text`) to use for all documents.
#default_role = None

# If true, '()' will be appended to :func: etc. cross-reference text.
#add_function_parentheses = True

# If true, the current module name will be prepended to all description
# unit titles (such as .. function::).
#add_module_names = True

# If true, sectionauthor and moduleauthor directives will be shown in the
# output. They are ignored by default.
#show_authors = False

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'sphinx'

# A list of ignored prefixes for module index sorting.
#modindex_common_prefix = []


# -- Options for HTML output ---------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
html_theme = 'default'

# Theme options are theme-specific and customize the look and feel of a theme
# further.  For a list of options available for each theme, see the
# documentation.
#html_theme_options = {}

# Add any paths that contain custom themes here, relative to this directory.
#html_theme_path = []

# The name for this set of Sphinx documents.  If None, it defaults to
# "<project> v<release> documentation".
#html_title = None

# A shorter title for the navigation bar.  Default is the same as html_title.
#html_short_title = None

# The name of an image file (relative to this directory) to place at the top
# of the sidebar.
#html_logo = None

# The name of an image file (within the static path) to use as favicon of the
# docs.  This file should be a Windows icon file (.ico) being 16x16 or 32x32
# pixels large.
#html_favicon = None

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']

# If not '', a 'Last updated on:' timestamp is inserted at every page bottom,
# using the given strftime format.
#html_last_updated_fmt = '%b %d, %Y'

# If true, SmartyPants will be used to convert quotes and dashes to
# typographically correct entities.
#html_use_smartypants = True

# Custom sidebar templates, maps document names to template names.
#html_sidebars = {}

# Additional templates that should be rendered to pages, maps page names to
# template names.
#html_additional_pages = {}

# If false, no module index is generated.
#html_domain_indices = True

# If false, no index is generated.
#html_use_index = True

# If true, the index is split into individual pages for each letter.
#html_split_index = False

# If true, links to the reST sources are added to the pages.
#html_show_sourcelink = True

# If true, "Created using Sphinx" is shown in the HTML footer. Default is True.
#html_show_sphinx = True

# If true, "(C) Copyright ..." is shown in the HTML footer. Default is True.
#html_show_copyright = True

# If true, an OpenSearch description file will be output, and all pages will
# contain a <link> tag referring to it.  The value of this option must be the
# base URL from which the finished HTML is served.
#html_use_opensearch = ''

# This is the file name suffix for HTML files (e.g. ".xhtml").
#html_file_suffix = None

# Output file base name for HTML help builder.
htmlhelp_basename = 'TROPFLUXdoc'


# -- Options for LaTeX output --------------------------------------------------

# The paper size ('letter' or 'a4').
#latex_paper_size = 'letter'

# The font size ('10pt', '11pt' or '12pt').
#latex_font_size = '10pt'

# Grouping the document tree into LaTeX files. List of tuples
# (source start file, target name, title, author, documentclass [howto/manual]).
latex_documents = [
  ('index', 'TROPFLUX.tex', u'TROPFLUX Documentation', u'IRD', 'manual'),
  ('guides/README', 'README.tex', u'TROPFLUX Readme', u'IRD', 'howto'),
]

# The name of an image file (relative to this directory) to place at the top of
# the title page.
#latex_logo = None

# For "manual" documents, if this is true, then toplevel headings are parts,
# not chapters.
#latex_use_parts = False

# If true, show page references after internal links.
#latex_show_pagerefs = False

# If true, show URL addresses after external links.
#latex_show_urls = False

# Additional stuff for the LaTeX preamble.
#latex_preamble = ''

# Documents to append as an appendix to all manuals.
#latex_appendices = []

# If false, no module index is generated.
#latex_domain_indices = True


# -- Options for manual page output --------------------------------------------

# One entry per manual page. List of tuples
# (source start file, name, description, authors, manual section).
#++    ('index', 'tropflux', u'TROPFLUX Documentation', [u'IRD'], 1),
man_pages = [
    ('tropflux_profile.sh', 'tropflux_profile.sh', u'tropflux_profile Documentation', [u'IRD'], 1),
    ('dlogd.sh', 'dlogd.sh', u'dlogd.sh Documentation', [u'IRD'], 1),
    ('elogd.sh', 'elogd.sh', u'elogd.sh Documentation', [u'IRD'], 1),
    ('plogd.sh', 'plogd.sh', u'plogd.sh Documentation', [u'IRD'], 1),
    ('tlogd.sh', 'tlogd.sh', u'tlogd.sh Documentation', [u'IRD'], 1),
    ('get_oaflux.sh', 'get_oaflux.sh', u'get_oaflux.sh Documentation', [u'IRD'], 1),
    ('get_olr.sh', 'get_olr.sh', u'get_olr.sh Documentation', [u'IRD'], 1),
    ('get_olrnint.sh', 'get_olrnint.sh', u'get_olrnint.sh Documentation', [u'IRD'], 1),
    ('get_pirata_netcdf.sh', 'get_pirata_netcdf.sh', u'get_pirata_netcdf.sh Documentation', [u'IRD'], 1),
    ('get_rama_netcdf.sh', 'get_rama_netcdf.sh', u'get_rama_netcdf.sh Documentation', [u'IRD'], 1),
    ('get_tao_netcdf.sh', 'get_tao_netcdf.sh', u'get_tao_netcdf.sh Documentation', [u'IRD'], 1),
    ('compute_erai_daily_region_2d.sh', 'compute_erai_daily_region_2d.sh', u'compute_erai_daily_region_2d.sh Documentation', [u'IRD'], 1)
]
#
# intersphinx with saxo
intersphinx_mapping = {'saxo': ('http://forge.ipsl.jussieu.fr/saxo/download/idldoc_html_output/','saxo.inv'),
                       'nco' : ('http://nco.sourceforge.net/','nco.inv')}

