#! /bin/sh
#+
#
# .. program:: get_rama_netcdf.sh
#
# .. _get_rama_netcdf.sh:
#
# ==============================================
# get_rama_netcdf.sh -- get RAMA reference files
# ==============================================
#
#
# SYNOPSIS
# ========
#
# ::
#
#  $ get_rama_netcdf.sh
#
# DESCRIPTION
# ===========
#
# ``get_rama_netcdf.sh`` get RAMA reference files
#
# SEE ALSO
# ========
#
# :ref:`guide data RAMA <data_in_rama>`
#
# TODO
# ====
#
# trace
#
# hard coded directory - usage of ${TROPFLUX_ID}
#
# coding rules
#
# EVOLUTIONS
# ==========
#
# - fplod 20101213T160928Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * minimal header
#
# - jv 2008
#
#   * creation
#
#-


dir=/Users/jv/data/RAMA/data/

# bf  : buoyancy flux
# d   : sigma-theta
# dyn : dynamic height
# emp : e-p
# iso : 20C depth
# met : wind (u,v,speed,direction),  airT, hum rel, SST   (= w + airt + rh)
# pos : lon, lat
# rad : shortwave down
# rf  : rain heat flux
# w   : wind

varlist="adcp airt bf bp cur d dyn emp evap heat iso lw lwnet met pos qlat qnet qsen rad rain rf rh s ssd sss sst swnet t tau w"
sitelist="12s55e 8s55e 8s67e 8s80.5e 4s80.5e 1.5s80.5e 0n80.5e 1.5n80.5e 1.5s90e 0n90e 1.5n90e 4n90e 8n90e 12n90e 15n90e 5s95e"

cd $dir
for site in $sitelist ; do
 for var in $varlist ; do
  wget --password=G10b@LCh@Ng3 ftp://taopmelftp@ftp.pmel.noaa.gov/cdf/sites/daily/${var}${site}_dy.cdf
 done
done

ls -l

#
#Liste complte de RAMA:
#sitelist="                   16s55e    12s55e    8s55e    4s55e    1.5s55e    0n55e    1.5n55e    4n55e"
#siteliste="$sitelist                                                                               15n65e"
#siteliste="$sitelist                    12s67e     8s67e    4s67e    1.5s67e    0n67e     1.5n67e    4n67e    8n67e"
#siteliste="$sitelist  16s80.5e 12s80.5e 8s80.5e 4s80.5e 1.5s80.5e 0n80.5e 1.5n80.5e 4n80.5e"
#siteliste="$sitelist               1.5s90e 0n90e 1.5n90e 4n90e 8n90e 12n90e 15n90e
#siteliste="$sitelist  16s95e 12s95e 8s95e  5s95e"
#
